Subject: Re: [core] comments on draft-li-core-conditional-observe-01

From: Jeroen Hoebeke <[email-masked]>
Date: Wed, 4 Apr 2012 21:33:38 +0200

Hi Angelo,

Thank you for your feedback, we will take it into account. We will continue to further explore this concept, tackle open issues and gain some experience with it (based on an implementation we are working on). 

Kind regards,
Jeroen

On 30 Mar 2012, at 10:09, Angelo P. Castellani wrote:

> I think that the concept of conditional observe is interesting, and I personally like to see that this work being explored here.
> 
> I had a look at the document, and I have two technical comments.
> 
> 1) The following formats seem to be wrong:
> 
>               0
>               0 1 2 3 4 5 6 7 8 9
>              +-+-+-+-+-+-+-+-+-+-+
>              | TYPE  | M | VAL   |
>              +-+-+-+-+-+-+-+-+-+-+
> 
>               0                   1
>               0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7
>              +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>              | TYPE  | M |          VAL          |
>              +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
>               0                   1                   2
>               0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5
>              +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>              | TYPE  | M |          VAL                          |
>              +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> The first one is 1 byte + 2 bits, the second one 2 bytes + 2 bits, and the third one is 3 bytes + 2 bits.
> 
> You should probably reduce the VAL field by 2 bits in each case.
> 
> 2) You should include the Condition option in the notification as well (at least in the first), to make the client aware of the fact that you accepted a Condition (for each condition you accepted).
> 
> Best,
> Angelo
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core